Foreman - Bug #2256

Test run issues with Jenkins under Ruby 1.9
02/26/2013 09:21 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Tests

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Two errors when testing under Ruby 1.9 with Jenkins and rvm:

+ bundle exec rake db:migrate
/usr/local/rvm/gems/ruby-1.9.3-p392Q@test_develop-1/gems/bundler-1.3.0/1lib/bundler/dsl.rb:37:in "re
scue in eval_gemfile': There was an error in your Gemfile, and Bundler cannot continue. (Bundler::
GemfileError)

from /usr/local/rvm/gems/ruby-1.9.3-p392Qtest_develop-1/gems/bundler-1.3.0/1lib/bundler/dsl.rb:
29:1in “eval_gemfile'

And:

+ bundle exec rake jenkins:unit
test/unit/ui/console/testrunner (LoadError)

from /usr/local/rvm/gems/ruby-1.9.3-p392@test_develop-0/gems/activesupport-3.0.20/1ib/active_s
upport/dependencies.rb:242:in “block in require'

from /usr/local/rvm/gems/ruby-1.9.3-p392@test_develop-0/gems/activesupport-3.0.20/1ib/active_s
upport/dependencies.rb:227:in "~ load_dependency’

from /usr/local/rvm/gems/ruby—-1.9.3-p392Q@test_develop-0/gems/activesupport-3.0.20/1ib/active_s
upport/dependencies.rb:242:in "require'

from /usr/local/rvm/gems/ruby-1.9.3-p392@test_develop-0/gems/ci_reporter-1.8.4/1ib/ci/reporter
/test_unit.rb:7:in "&lt;top (required)é&gt;'
Associated revisions

Revision 5f4a100c - 03/03/2013 10:06 AM - Dominic Cleal

fixes #2256 - support minitest in jenkins rake tasks, add missing yaml require breaking bundler, fix version test for Ruby 1.9.2

History

#1 - 02/26/2013 09:24 AM - Dominic Cleal
- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/434

#2 - 03/03/2013 10:12 AM - Ohad Levy

- Target version set to 1.2.0

#3 - 03/03/2013 10:47 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/434

Applied in changeset 5f4a100c45cc72e82a47469e0e7d25914c87933b.
